#!/bin/sh

# create some temp. directory
mkdir -p /tmp/src
cd /tmp/src

# get source
wget http://dl.fefe.de/libowfat-0.23.tar.bz2
wget http://www.mcmilk.de/projects/squidwall/dl/squidwall-0.1.tar.bz2

# untar source
bzcat libowfat-0.23.tar.bz2 | tar -x
bzcat squidwall-0.1.tar.bz2 | tar -x
ln -s libowfat-0.23 libowfat

# build libowfat
cd libowfat-0.23
make && cd ..

# build squidwall
cd squidwall-0.1
# edit Makefile and/or params.h
make it setup

# edit and install these files:
#
# squid.conf (see contrib)
# squidwall.sh (see contrib)
# ...
# last step: setup the webinterface
