#!/bin/sh

SERVER="192.168.100.5"

# for debugging purposes you may start it with strace :)
# strace -s 22222 -o /tmp/xxx-$$.st \

exec env -i \
 LOG_FILE="/tmp/squid.log" \
 MAX_SIZE="40000" \
 PROXY="127.0.0.1:3128" \
 CLAMD="127.0.0.1:3310" \
 REDIR_BADUSER="http://$SERVER/inet/deny.php?reason=user" \
 REDIR_BADHOST="http://$SERVER/inet/deny.php?reason=host" \
 REDIR_VIRUSFOUND="http://$SERVER/inet/deny.php?reason=virus" \
 REDIR_SAFESITE="http://$SERVER/inet/img/" \
 /usr/bin/squidwall
