#include "squidwall.h"

/*
 * logging functions 
 */

static void log_init(void);

/* buffer for the logfile */
static char log_BUF[BUFSIZE];
static buffer buffer_log;


static void log_init(void)
{
	static int initdone=0;

	if (initdone) return;
	buffer_init(&buffer_log, write, fd_log, log_BUF, sizeof log_BUF);

	initdone=1;
	return;
}

void logs(char *message)
{
	log_init();
	buffer_puts(&buffer_log, message);

	return;
}

void logsa(stralloc *sa)
{
	log_init();
	buffer_putsa(&buffer_log, sa);

	return;
}

void logflush(void)
{
	log_init();
	buffer_flush(&buffer_log);

	return;
}
