<?

/* Webinterface for squidwall
 *
 * ctime: 2005-06-29
 * mtime: 2005-07-10
 *
 * Beschreibung:
 * 1. Authentifizierung
 * 2. Funktionen definieren
 * 3. Datenbanken prfen und einlesen
 */

header("Expires: Mon, 26 Jul 1997 05:00:00 GMT");
header("Last-Modified: " . gmdate("D, d M Y H:i:s") . " GMT");
header("Cache-Control: no-store, no-cache, must-revalidate");
header("Cache-Control: post-check=0, pre-check=0", false);
header("Cache-Control: private" );
header("Pragma: no-cache");

/* Funktion zum Beenden einer Anfrage */
function print_foot() {
 echo "</body></html>";
 exit;
}

/* Benutzerprfung */
include("$P_INT/auth.php");

function fatal_error($a='FATAL: Es ist ein Fehler bei der Verarbeitung aufgetreten, bitte den Tino informieren!') {
 global $P_INT;
 include("$P_INT/HEAD");
 echo $a;
 print_foot();
}

/* diverse Verzeichnisse prfen */
if (!is_dir($P_USERS)) {
 fatal_error("Kann die USER-Definitionen ($P_USERS) nicht lesen.");
}

if (!is_dir($P_HOSTS)) {
 fatal_error("Kann die IP-Definitionen ($P_HOSTS) nicht lesen.");
}

if (!is_dir("$P_SQUIDWALL/hosts")) {
 fatal_error("Kann die Squidwall-Definitionen ($P_SQUIDWALL/hosts) nicht lesen.");
}

if (!is_dir("$P_SQUIDWALL/users")) {
 fatal_error("Kann die Squidwall-Definitionen ($P_SQUIDWALL/users) nicht lesen.");
}

/* datenbanken raussuchen */
$dh=opendir("$P_USERS");
while ($file = readdir($dh)) {
 if (!is_file("$P_USERS/$file")) { continue; }
 $U[] = $file;
}
closedir($dh);
sort($U); reset($U); /* sortieren und zeiger auf 0 */

if (count($U) < 1) {
 $u=count($U);
 fatal_error("Anzahl der Benutzer ($u) ist zu klein.");
}

$dh=opendir("$P_HOSTS");
while ($file = readdir($dh)) {
 if (!is_file("$P_HOSTS/$file")) { continue; }
 $H[] = $file;
}
closedir($dh);
sort($H); reset($H); /* sortieren und zeiger auf 0 */

if (count($H) < 1) {
 $h=count($H);
 fatal_error("Anzahl der IP-Definitionen ($h) ist zu klein.");
}

?>
